Announcement

Collapse
No announcement yet.

Help help! Our phones aren't connecting!

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Help help! Our phones aren't connecting!

    Hi! We are team 8964 from Frontier Middle School and we need help with our phones. Our phones are not connecting! We have been following the push bot guide instructions but they keep on disconnecting immediately. Also we need help connecting it the the robot's motors, distribute control modules and core motor modules. With competition coming near, we are begging. Please help!

  • #2
    Hi Team 8924, sorry to hear you are having troubles. It would be easier to help you if you tell us what phones you are using. Also, if you tell us where you are (city, state) there may be someone near you who can help as well.

    First off, connect your phones to the internet via WiFi and make sure you accept all updates to the phones. You may need to reboot several times after accepting one update to get them all. You may need to leave the phone connected for some time before an update shows up.

    Depending on what phones you have, one or more of these videos may help with setup:

    https://www.youtube.com/watch?v=X8BcFhg5R9Q
    https://www.youtube.com/watch?v=o1weHW2N-58
    https://www.youtube.com/watch?v=xQJsADvNH_k
    https://www.youtube.com/watch?v=n597U6rcl2Y

    Comment


    • #3
      Hi again. No matter how many times we try to install the Teleop program to the phone from the computer, we get the error,
      INSTALL_VERSION_DOWNGRADE_ERROR

      We can't drive our robot without this app, please help. We have version 2.35 of the driver station but we still get that error.

      Comment


      • #4
        Originally posted by FTC8964 View Post
        Hi again. No matter how many times we try to install the Teleop program to the phone from the computer, we get the error,
        INSTALL_VERSION_DOWNGRADE_ERROR

        We can't drive our robot without this app, please help. We have version 2.35 of the driver station but we still get that error.
        This seems pretty clear.

        You have the latest Driver Station app on your Driver station Phone. Excellent.

        You have probably also installed the latest version of the Robot Controller app on your Robot phone (from Google Play Store) OK.

        Now, you are trying to download your modified app from your computer onto the Robot controller phone, and it's saying "You are trying to load an OLD version robot app on top of a newer version"

        This MUST be because your program on the computer is NOT built from the latest SDK.
        You may still be using the Android Studio project you used last year, or possibly from earlier this year.

        Either way, it's older than what's currently on the Robot phone.

        Your best choice is to take a FRESH copy of the FTC_SDK from the FIRST repository, and then copy your opmodes into the TeamCode folder.
        Then when you rebuild the robot app it will be the correct version (2.35) and won't give the error when you transfer it to the phone.

        Comment

        Working...
        X